List Workflows
curl --request GET \
--url https://api.deepidv.com/v1/workflowsimport requests
url = "https://api.deepidv.com/v1/workflows"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.deepidv.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflows": [
{
"id": "6d6da499-9225-40fb-9ffd-a06634b915bd",
"name": "Full Verification",
"status": "active",
"steps": [
"ID_VERIFICATION",
"FACE_LIVENESS",
"PEP_SANCTIONS",
"DOCUMENT_UPLOAD"
],
"created_at": "2026-03-01T17:30:24.573Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Basic ID Check",
"status": "active",
"steps": [
"ID_VERIFICATION",
"FACE_LIVENESS"
],
"created_at": "2026-02-15T09:30:00.000Z"
}
]
}
Management API 🔧
List Workflows
List all workflows for your organization
GET
/
v1
/
workflows
List Workflows
GET /v1/workflows
Request
Headers
| Header | Required | Description |
|---|---|---|
x-api-key | Yes | Your API key |
Example request
curl -X GET "https://api.deepidv.com/v1/workflows" \
-H "x-api-key: YOUR_API_KEY"
const response = await fetch(
"https://api.deepidv.com/v1/workflows",
{
headers: { "x-api-key": "YOUR_API_KEY" },
}
);
const data = await response.json();
import requests
response = requests.get(
"https://api.deepidv.com/v1/workflows",
headers={"x-api-key": "YOUR_API_KEY"},
)
Response
200 — Success
| Field | Type | Description |
|---|---|---|
workflows | array | Array of workflow summary objects |
workflows[].id | string | Unique workflow identifier |
workflows[].name | string | Workflow name |
workflows[].status | string | Workflow status (active or inactive) |
workflows[].steps | array | Array of step identifiers included in the workflow (e.g. ID_VERIFICATION, FACE_LIVENESS) |
workflows[].created_at | string | ISO 8601 creation timestamp |
Error responses
| Status | Description |
|---|---|
401 Unauthorized | Missing or invalid API key |
429 Too Many Requests | Rate limit exceeded |
{
"workflows": [
{
"id": "6d6da499-9225-40fb-9ffd-a06634b915bd",
"name": "Full Verification",
"status": "active",
"steps": [
"ID_VERIFICATION",
"FACE_LIVENESS",
"PEP_SANCTIONS",
"DOCUMENT_UPLOAD"
],
"created_at": "2026-03-01T17:30:24.573Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Basic ID Check",
"status": "active",
"steps": [
"ID_VERIFICATION",
"FACE_LIVENESS"
],
"created_at": "2026-02-15T09:30:00.000Z"
}
]
}
⌘I